import Vue from 'vue'
import Router from 'vue-router'

import project from '@/views/project/project'
import login from '@/views/login/login'
import menu from '@/views/menu/menu'
import operator from '@/views/operator/list'
import gateway from '@/views/gateway/list'
import device from '@/views/device/list'
import deviceAlarmRecord from '@/views/deviceAlarmRecord/list'
import operatorLog from '@/views/operatorLog/list'
import user from '@/views/user/list'
import powerSet from '@/views/powerSet/list'
import roleSet from '@/views/roleSet/list'

import operatorList from "../views/operator/list";
import gatewayList from "../views/gateway/list";
import deviceList from "../views/device/list";
import deviceAlarmRecordList from "../views/deviceAlarmRecord/list";
import operatorLogList from "../views/operatorLog/list";
import userList from "../views/user/list";
import powerSetList from "../views/powerSet/list";
import roleSetList from "../views/roleSet/list";

import menuList from "../views/menu/menu";



Vue.use(Router)

export default new Router({
  routes: [
    {
      path: '/menu',
      name: 'menu',
      component: menuList,
      children:[
        {
          path: '/project',
          name: 'project',
          component: project
        }, {
          path: '/user',
          name: 'user',
          component: user
        },
        {
          path: '/',
          name: 'login',
          component: login
        },

        {
          path: '/operator',
          name: 'operator',
          component: operatorList
        }
        ,
        {
          path: '/gateway',
          name: 'gateway',
          component: gatewayList
        }
        ,
        {
          path: '/device',
          name: 'device',
          component: deviceList
        }
        ,
        {
          path: '/deviceAlarmRecord',
          name: 'deviceAlarmRecord',
          component: deviceAlarmRecordList
        },
        {
          path: '/operatorLog',
          name: 'operatorLog',
          component: operatorLogList
        }
        ,
        {
          path: '/user',
          name: 'user',
          component: userList
        }
        ,
        {
          path: '/powerSet',
          name: 'powerSet',
          component: powerSetList
        }
        ,
        {
          path: '/roleSet',
          name: 'roleSet',
          component: roleSetList
        }]
    },
    // {
    //   path: '/project',
    //   name: 'project',
    //   component: project
    // }, {
    //   path: '/user',
    //   name: 'user',
    //   component: user
    // },
    {
      path: '/',
      name: 'login',
      component: login
    },
    //
    // {
    //   path: '/operator',
    //   name: 'operator',
    //   component: operatorList
    // }
    // ,
    // {
    //   path: '/gateway',
    //   name: 'gateway',
    //   component: gatewayList
    // }
    // ,
    // {
    //   path: '/device',
    //   name: 'device',
    //   component: deviceList
    // }
    // ,
    // {
    //   path: '/deviceAlarmRecord',
    //   name: 'deviceAlarmRecord',
    //   component: deviceAlarmRecordList
    // },
    // {
    //   path: '/operatorLog',
    //   name: 'operatorLog',
    //   component: operatorLogList
    // }
    // ,
    // {
    //   path: '/user',
    //   name: 'user',
    //   component: userList
    // }
    // ,
    // {
    //   path: '/powerSet',
    //   name: 'powerSet',
    //   component: powerSetList
    // }
    // ,
    // {
    //   path: '/roleSet',
    //   name: 'roleSet',
    //   component: roleSetList
    // }
  ]
})


// //全局路由守卫
// router.beforeEach((to, from, next) => {
//   if (to.path === '/')
//     return next();
//   // 取出token
//   const token = window.sessionStorage.getItem('token');
//   if (!token)   //没有token的时候 跳转到登陆页面
//     return next('/');
//
//   next();
// })
